%define upstream_name	 ExtUtils-F77
%define upstream_version 1.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple interface to F77 libs
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/ExtUtils-F77/
Source0:    http://www.perl.com/CPAN/authors/id/KGB/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     ExtUtils-F77-1.17-no-usrlib.patch
Patch1:     ExtUtils-F77-1.17-gfortran.patch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gcc-gfortran
Requires:   gcc-gfortran
Obsoletes:  perl-ExtUtils_F77
Provides:   perl-ExtUtils_F77
BuildArch:  noarch

%description
Simple interface to F77 libs.  Used to be in perl-PDL, but isn't anymore.

This module tries to figure out how to link C programs with
Fortran subroutines on your system. Basically one must add a list
of Fortran runtime libraries. The problem is their location
and name varies with each OS/compiler combination!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"


%install
%make_install

%files
%{perl_vendorlib}/*
%{_mandir}/*/*
%doc CHANGES COPYING META.json META.yml MYMETA.yml README

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.190.0-3pclos2017
- rebuild against updates

